import request from '../utils/request'

//获取当前挖矿账号算力图
export function getMinerAccountPower(data) {
    return request({
      url: `pool/getMinerAccountPower`,
      method: 'post',
      data
    })
  }

  //获取当前挖矿账号信息(包含收益、余额)
export function getMinerAccountInfo(data) {
    return request({
      url: `pool/getMinerAccountInfo`,
      method: 'post',
      data
    })
  }

//获取当前挖矿账号下的矿工总览表
export function getMinerList(data) {
    return request({
      url: `pool/getMinerList`,
      method: 'post',
      data
    })
  }

//获取矿工算力(曲线图)
export function getMinerPower(data) {
    return request({
      url: `pool/getMinerPower`,
      method: 'post',
      data
    })
  }

//获取收益历史记录
export function getHistoryIncome(data) {
    return request({
      url: `pool/getHistoryIncome`,
      method: 'post',
      data
    })
  }
//获取提现历史记录
export function getHistoryOutcome(data) {
    return request({
      url: `pool/getHistoryOutcome`,
      method: 'post',
      data
    })
  }

  //获取当前挖矿账号算力分布图(柱状图)
export function getAccountPowerDistribution(data) {
  return request({
    url: `pool/getAccountPowerDistribution`,
    method: 'post',
    data
  })
}